curl --request GET \
--url https://api.komerza.com/stores/{storeId}/customers/{customerId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "<string>",
"code": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"emailAddress": "<string>",
"status": "<string>",
"totalSpend": 123,
"averageSpend": 123,
"totalOrders": 123,
"ipAddress": "<string>",
"balance": 123,
"externalIntegrations": {},
"subscriptions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"expirationDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"tickets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"subject": "<string>",
"status": 0,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"emailAddress": "<string>",
"entries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"message": "<string>",
"name": "<string>"
}
]
}
],
"affiliate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"isEnabled": true,
"link": "<string>",
"balance": 123,
"returnPercentage": 123,
"percentageOff": 123
}
}
}Retrieves detailed information for a single customer in the specified store.
Requires the stores.customers.view permission.
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/customers/{customerId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "<string>",
"code": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"emailAddress": "<string>",
"status": "<string>",
"totalSpend": 123,
"averageSpend": 123,
"totalOrders": 123,
"ipAddress": "<string>",
"balance": 123,
"externalIntegrations": {},
"subscriptions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"expirationDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"tickets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"subject": "<string>",
"status": 0,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"emailAddress": "<string>",
"entries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"message": "<string>",
"name": "<string>"
}
]
}
],
"affiliate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"isEnabled": true,
"link": "<string>",
"balance": 123,
"returnPercentage": 123,
"percentageOff": 123
}
}
}Your API key goes here
The ID of the store.
The ID of the customer to retrieve.
The object was successfully returned.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents a customer who is associated with your store.
Show child attributes
Was this page helpful?